# PubDefaultSettings Class

### NAMESPACE

RASAdminEngine.Core.OutputModels

### DESCRIPTION

Contains default settings for published resources

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒PubDefaultSettings

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type                                                                                                                                                | Name                          | Description |                                                                                                                                                                                                                            |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- | ----------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ColorDepth](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ColorDepth.html)                   | ColorDepth                    |             | Specifies the display color depth setting: 0=Colors8Bit, 1=Colors15Bit, 2=Colors16Bit, 3=Colors24Bit, 4=Colors32Bit, 5=ClientSpecified.                                                                                    |
| UInt32                                                                                                                                              | ConCurrentLicenses            |             | Specifies the number of concurrent licenses (the 'Concurrent licenses' option).                                                                                                                                            |
| Boolean                                                                                                                                             | CreateShortcutInStartFolder   |             | Whether the 'Create shortcut in Start Folder' option is enabled or not.                                                                                                                                                    |
| Boolean                                                                                                                                             | CreateShortcutInStartUpFolder |             | Whether the 'Create shortcut in Auto Start Folder' option is enabled or not.                                                                                                                                               |
| Boolean                                                                                                                                             | CreateShortcutOnDesktop       |             | Whether the 'Create shortcut on Desktop' option is enabled or not.                                                                                                                                                         |
| Boolean                                                                                                                                             | DisableSessionSharing         |             | Whether the option 'Disable Session Sharing' is enabled or not.                                                                                                                                                            |
| [LimitNotify](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/LimitNotify.html)                 | LicenseLimitNotify            |             | Specifies an action to perform when the license limit is exceeded.: 0=Warn user and do not start, 1=Notify administrator and start, 2=Notify user, administrator and start, 3=Notify user, administrator and do not start. |
| [MaintenanceMessages](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/MaintenanceMessages.html) | MaintenanceMessages           |             | Contains a set of maintenance messages in different languages.                                                                                                                                                             |
| Boolean                                                                                                                                             | OneInstancePerUser            |             | Whether the option 'Allow users to start only one instance of the application' is enabled or not.                                                                                                                          |
| Boolean                                                                                                                                             | ReplicateDisplaySettings      |             | Whether the 'Replicate Display Settings' option is enabled or not.                                                                                                                                                         |
| Boolean                                                                                                                                             | ReplicateLicenseSettings      |             | Whether the option 'Replicate license settings' is enabled or not.                                                                                                                                                         |
| Boolean                                                                                                                                             | ReplicateMaintenance          |             | Whether the option 'Replicate Maintenance' is enabled or not.                                                                                                                                                              |
| Boolean                                                                                                                                             | ReplicateShortcutSettings     |             | Whether the 'Replicate Shortcut Settings' option is enabled or not.                                                                                                                                                        |
| UInt32                                                                                                                                              | SiteId                        |             | ID of the Site.                                                                                                                                                                                                            |
| Boolean                                                                                                                                             | StartFullscreen               |             | Whether the option 'StartFullscreen' is enabled or not.                                                                                                                                                                    |
| Boolean                                                                                                                                             | StartMaximized                |             | Whether the option 'Start Maximized' is enabled or not.                                                                                                                                                                    |
| String                                                                                                                                              | StartPath                     |             | Starting path of the settings.                                                                                                                                                                                             |
| Boolean                                                                                                                                             | WaitForPrinters               |             | Whether the option 'Wait until all RAS Universal Printers are redirected before showing the application' is enabled or not.                                                                                                |
| UInt32                                                                                                                                              | WaitForPrintersTimeout        |             | Printer redirection timeout (in seconds). Works together with the WaitForPrinters parameter.                                                                                                                               |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/pubdefaultsettings-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
